/*********************************************************************

euclideanDistance: calculate the Euclidian distance between an LPC
vector and a template

*********************************************************************/

double euclideanDistance(double * lpc, double * target, int p){

 int j;
 double sum = 0.0;

 for (j = 1; j <= p; j++)
  sum += ( lpc[j] - target[j] ) * ( lpc[j] - target[j] );

 sum = sqrt(sum);

 return sum; 

}

