/*********************************************************************

Window: apply a window function to an array of samples

*********************************************************************/

#define WINDOW_HAMMING	0.54
#define WINDOW_HANNING	0.5
#define WINDOW_HANN	0.5

void Window(double * buffer, int N, double a){

/*
 Hamming window: a = 0.54
 Hann(ing) window: a = 0.5;
*/

 int i = 0;

 for (i = 0; i < N; i++)

  buffer[i] *= ( a - ( 1 - a ) * cos( ( 2.0 * PI * (double) i ) / ( N - 1 ) ) );

}
